package com.bizmatics.mhfire.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.service.vo.SiAeAllVO;

import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2021/5/25 15:29
 * 监督检查行政执法总记录
 */
public interface SiAeAllService {


    /**
     * 行政执法总记录汇总
     * @param
     * @return
     */
    List<SiAeAllVO> getAeAllCollect(Date startTime, Date endTime);

    /**
     * 单位管理-单位列表查询
     *
     * @param startTime  开始时间
     * @param endTime    结束时间
     * @param pageNum      当前页
     * @param pageSize     每页条数
     * @return
     */
    CommonPage<Object> getAeAllCollectList(String startTime, String endTime, Integer pageNum, Integer pageSize);
}
